### Method

# GLib BookmarkFile get_added

deprecated: 2.66 since: 2.12

#### Declaration [src]

    time_t
    g_bookmark_file_get_added (
      GBookmarkFile* bookmark,
      const gchar* uri,
      GError** error
    )

#### Description [src]

Gets the time the bookmark for `uri` was added to `bookmark`

In the event the URI cannot be found, -1 is returned and `error` is set to `G_BOOKMARK_FILE_ERROR_URI_NOT_FOUND`.

Available since: 2.12

Deprecated since: 2.66

Use `g_bookmark_file_get_added_date_time()` instead, as `time_t` is deprecated due to the year 2038 problem.

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `time_t`

A timestamp.